Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List document history

GET/workspaces/{organizationId}/documents/{id}/history
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
idstringrequired
Responses
200

Document content history, newest first

historyobject[]required
Show properties
Array of object
idstringrequired
documentIdstringrequired
contentobject[] | stringrequired
Show properties
Any of:
object[]
Array of object
object
string
string
actorIdstringrequired
createdAtstringrequired
404

Document not found

Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/documents/string/history' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "history": [
    {
      "id": "string",
      "documentId": "string",
      "content": [
        {
          "property1": null,
          "property2": null
        }
      ],
      "actorId": "string",
      "createdAt": "string"
    }
  ]
}

Was this page helpful?